com.alarmpoint.integrationagent.exceptions.retriable

## Class FixedDelayPolicy

- java.lang.Object
- - com.alarmpoint.integrationagent.exceptions.retriable.FixedDelayPolicy

- All Implemented Interfaces:
    DelayPolicy

      public class FixedDelayPolicy
      extends java.lang.Object
      implements DelayPolicy

  A policy that specifies a fixed delay between retry attempts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedDelayPolicy(long delayMillis)` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDelay(int numAttempts, long lastDelay)` Gets the minimum amount of time that must elapse before the next retry attempt.
    `java.lang.String` | `toString()` Returns a string of the form "10 seconds between attempts".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedDelayPolicy

          public FixedDelayPolicy(long delayMillis)

      Default constructor.
      Parameters:
        `delayMillis` - - the miminum delay (in milliseconds) between each retry attempt; must be >= 0 with 0 indicating no delay

  - ### Method Detail

    - #### getDelay

          public long getDelay(int numAttempts,
                               long lastDelay)

      Gets the minimum amount of time that must elapse before the next retry attempt.
      Specified by:
        `getDelay` in interface `DelayPolicy`
      Parameters:
        `numAttempts` - - the number of previous attempts (including first attempt and retries); assumed to be >= 1
        `lastDelay` - - the delay (in milliseconds) returned by the previous call to this method (i.e., with `numAttempts-1`); -1 if not previously code (i.e., when `numAttempts==0`
      Returns:
        a non-negative integer indicating the delay in milliseconds

    - #### toString

          public java.lang.String toString()

      Returns a string of the form "10 seconds between attempts".
      Specified by:
        `toString` in interface `DelayPolicy`
      Overrides:
        `toString` in class `java.lang.Object`